Foreman - Bug #33121

Hammer --setup-insights false | no|0 is not working
07/23/2021 07:09 AM - Leos Stejskal

Status: Closed

Priority: Normal
Assignee: Leos Stejskal
Category: Host registration

Target version:

Difficulty: Fixed in Releases: 2.5.3,3.0.0
Triaged: No Found in Releases:
Bugzilla link: 1978697 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8690,
https://github.com/theforeman/foreman/p
ull/8707
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1978697

Description of problem:
[global registration] [hammer] - hammer --setup-insights false | no|0 is not working

Version-Release number of selected component (if applicable):
Satellite 6.10 Snap 7

How reproducible:
always

Steps to Reproduce:
try commands

hammer> host-registration generate-command --activation-keys RHEL8_Content_Activation_Key --packages mlocate --force true
--setup-insights 0

hammer> host-registration generate-command --activation-keys RHEL8_Content_Activation_Key --packages mlocate --force true
--setup-insights false

hammer> host-registration generate-command --activation-keys RHEL8_Content_Activation_Key --packages mlocate --force true
--setup-insights no

Actual results:
setup-insights is still running and install the insights package

Expected results:
setup-insights should not run and do not install insights package as --setup-insights is false

Additional info:

Associated revisions

Revision eb03be92 - 07/28/2021 01:18 PM - Leos Stejskal

Fixes #33121 - Registration command API| & params with false values

Registration API for generating registration command
incorrectly ignores parameters with “false’ boolean value.

History

#1 - 07/23/2021 07:13 AM - Leos Stejskal

- Subject changed from [global registration] [hammer] - hammer --setup-insights false | no/0 is not working to Hammer --setup-insights false | no/0 is
https://bugzilla.redhat.com/show_bug.cgi?id=1978697

not working
- Category set to Host registration

- Assignee set to Leos Stejskal

#2 - 07/23/2021 07:30 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8690 added

#3 - 07/28/2021 01:18 PM - The Foreman Bot
- Fixed in Releases 3.0.0 added

#4 - 07/28/2021 02:08 PM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|eb03be92ceb5ee9c17ec7a90f1e83d506edc5a3c.

#5 - 08/05/2021 10:17 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8707 added

#6 - 08/05/2021 12:23 PM - Tomer Brisker
- Fixed in Releases 2.5.3 added
